# Android makefile for libusb.
#
# Copyright © 2015 DisplayLink (UK) Ltd.
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

LOCAL_PATH:= $(call my-dir)

LIBUSB_ROOT := $(LOCAL_PATH)/../libusb

COMMON_SRC_FILES := \
    $(LIBUSB_ROOT)/core.c \
    $(LIBUSB_ROOT)/descriptor.c \
    $(LIBUSB_ROOT)/io.c \
    $(LIBUSB_ROOT)/sync.c \
    $(LIBUSB_ROOT)/os/threads_posix.c

COMMON_CFLAGS := -fvisibility=hidden -std=gnu99 -Wall -Wundef -Wunused -Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign -pthread

# Build standard libusb for Android
include $(CLEAR_VARS)

LOCAL_SRC_FILES := \
    $(COMMON_SRC_FILES) \
    $(LIBUSB_ROOT)/os/linux_usbfs.c

LOCAL_MODULE := libusb
LOCAL_CFLAGS := $(COMMON_CFLAGS)
LOCAL_C_INCLUDES := $(LOCAL_PATH) $(LIBUSB_ROOT)
LOCAL_LDLIBS := -llog

include $(BUILD_SHARED_LIBRARY)

# Build special libusb for Android with ANDROID_DEVICE_ACCESS modifications
include $(CLEAR_VARS)

LOCAL_SRC_FILES := \
    $(COMMON_SRC_FILES) \
    $(LIBUSB_ROOT)/os/android_usbfs.c

LOCAL_MODULE := libusb_android
LOCAL_CFLAGS := $(COMMON_CFLAGS) -DANDROID_DEVICE_ACCESS
LOCAL_C_INCLUDES := $(LOCAL_PATH) $(LIBUSB_ROOT)
LOCAL_LDLIBS := -llog

include $(BUILD_SHARED_LIBRARY)
